use leptos::{logging, server, ServerFnError};
use once_cell::sync::Lazy;
use serde::{Deserialize, Serialize};
use serde_json::json;
use std::borrow::Cow;

pub mod schemes;

cfg_if::cfg_if! {
    if #[cfg(feature = "ssr")] {
        use surrealdb::engine::remote::ws::{Client, Ws};
        use surrealdb::opt::auth::Root;
        use surrealdb::Surreal;

        pub static DB: Lazy<Surreal<Client>> = Lazy::new(Surreal::init);
    }
}

#[cfg(feature = "ssr")]
pub async fn connect() -> Result<(), ServerFnError> {
    DB.connect::<Ws>("localhost:80").await?;

    DB.signin(Root {
        username: "root",
        password: "root",
    })
    .await?;

    DB.use_ns("wrb").use_db("timings").await?;

    Ok(())
}
